import { defineStore } from "pinia";
import { ref } from "vue";

import type { Information } from "@/modules/05_placement/components/PersonalDetail/profileType";

export const usePersonalDataStore = defineStore("personal-detail", () => {
  const dataMain = ref<any>([]);
  const loading = ref<boolean>(false);
  function fecthDataInformation(data: Information) {
    dataMain.value = data;
    if (dataMain.value) {
      loading.value = true;
    } else {
      loading.value = false;
    }
  }

  return {
    fecthDataInformation,
    dataMain,
    loading,
  };
});
